/* ===== Root ===== */
:root {
  --bg: #fff;
  --shadow: rgb(50, 52, 59);
  --muted: rgb(83, 83, 83);
  --dark: rgb(48, 55, 62);
  --orange: #ef6434;
  --line: rgba(35, 38, 45, 0.14);
  --max: 1290px;
  --border: rgb(239, 102, 55);
  --focus: rgb(239, 104, 57);
  --error: rgb(220, 50, 50);
  --icon: rgb(239, 100, 52);
  --button: rgb(48, 55, 62);
  --button-text: rgb(252, 252, 249);
}

body {
  background: var(--bg);
  color: #000;
}

/* ===== Main ===== */
.section.main {
  padding-bottom: 2rem;
}

.container {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 2rem;
}

h2 {
  font-size: 24px;
  font-weight: 600;
  text-align: center;
  margin: 1rem 0;
}

.item {
  overflow: hidden;
}

.item > a:first-child {
  display: block;
  overflow: hidden;
}

.item > a:first-child img {
  display: block;
  width: 100%;
  transition: transform 0.3s ease;
}

.item > a:first-child:hover img {
  transform: scale(1.1);
}

/* ===== Pagination ===== */
.divider {
  height: 1px;
  width: 100%;
  background-color: var(--line);
}

.section-pagination {
  padding: 0 0 3rem;
}

.pagination-container {
  display: flex;
  width: 100%;
  justify-content: center;
  margin: 2rem 0;
}

.pagination {
  display: flex;
  justify-content: center;
  align-items: center;
}

.pagination ul {
  list-style: none;
  display: flex;
  align-items: center;
  gap: 6px;
  padding: 0;
}

.pagination li {
  width: 40px;
  height: 40px;
}

.pagination a {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  font-size: 16px;
  font-weight: 400;
  transition: all 0.3s ease;
}

.pagination .page-number:hover,
.pagination .page-number.active {
  background-color: var(--orange);
  color: #fff;
}
